<script setup lang="ts">
const gene = useCurrentGene();
const { items, current } = storeToRefs(useRightNavigatorStore());

const route = useRoute();
const isAdminPage = computed(() => route.name === "admin");
</script>

<template>
  <v-navigation-drawer
    v-if="gene || isAdminPage"
    class="right-navigator"
    location="right"
    color="grey-lighten-4"
  >
    <v-list density="compact" nav>
      <div v-if="gene" class="my-2 ml-2 d-flex align-center">
        <div class="font-weight-regular text-body-1">{{ gene }}</div>
        <GeneFavoriteIcon :gene="gene" icon-size="large" />
      </div>
      <RightNavigatorPanelList :panels="items || []" :current-panel="current" />
    </v-list>
  </v-navigation-drawer>
</template>
